Subject: kernel-package_1.03 uploaded to master.debian.org

From: [email-masked]
Date: 13 Jun 1996 20:36:25 -0400

[Bruce, Simon, I know this is longer than I'd like it to be, but I'd
appreciate it if you read this message through]

Hi folks,

	I do apologize for uploading a new version on the Thursday 
 before a Monday release, but in the last two days people have
 informed me of deficiencies in the scripts which may strike people
 doing a partial upgrade and trying to remove a kernel image, or
 trying to create a bootable floppy and putting in an unformatted
 floppy disk.

	I have made the new kernel image postinst offer to format the
 floppy, and tweaked the scripts in general so that they will have
 fewer problems with older versions of perl.

	It is unfortunate that I have to release the package at this
 time, since I also had made changes that bring the kernel packages
 more in line with the guidelines (no, that is not the unfortunate
 part), but that involved changing the packages such that the version
 number, since it is already incorporated in the package name, is now
 not reflected in the version number.

	Untill now, the packages created from (say) linux kernel
 version 1.99.14 were called kernel-image-1.99.14, and had a version
 number 1.99.14-0, which should have yielded the file name 
 kernel-image-1.99.14-1.99.14-0.i386.deb, or, under the new scheme,
 kernel-image-1.99.14_1.99.14-0_i386.deb.  This was hacked to be
 kernel-image-1.99.14-0.i386.deb using a rogue version of dchanges.

	This was especially wrong since there never would be a version
 for kernel-image-1.99.14 other than 1.99.14, so the version number
 was a fallacy even then. I have now made the version number just 3.0,
 yielding the filename kernel-image-1.99.14_3.0_i386.deb, using
 dpkg-name and dchanges as per the guidelines.

	The unfortunate part is (finally) that if the version number
 is less than 3.0, then kernel-image-2.0.0 (which would have had a
 number 2.0.0-0 under the old scheme) would appear to have been
 downgraded. 

	So, Bruce and Simon, I'd appreciate it if you could put images
 created with this version in the release, keeping debian = 3.0 in
 debian.rules.  I have spent the last day testing this, and things
 seem to work for me (including making bootfloppies and all).

	manoj

-----BEGIN PGP SIGNED MESSAGE-----

Date: 14 Jun 96 00:01 UT
Format: 1.6
Distribution: unstable
Urgency: Low
Maintainer: Manoj Srivastava <[email-masked]>
Source: kernel-package
Version: 1.03
Binary:  kernel-package
Architecture: all source
Description: 
 kernel-package: Debian Linux kernel package build scripts.
Changes: 
 * The image post inst warns against using unformatted floppies for
   bootable image disks, and offers to format the disk for the user.
 * Change the file names to use the new naming format with the underscores
 * Fiddled with targets and stamps so that no target is remade unnecesarily
 * kernel-package now suggests kernel-source
 * Conform to the new dchanges format. Removed the hacked, private version
   of dchanges that ignored the file name munging this package did. Now
   the packages associated with (for example) linux kernel version 1.99.14
   will be package kernel-image-1.99.14, version 3.0 (instead of 1.99.14-3.0)
   giving a filename kernel-image-1.99.14_3.0_all.deb rather than the madness
   of kernel-image-1.99.14_1.99.14-3.0_all.deb (which was hacked away before)
 * Added a dependency on recent perl5 package to kernel-package
Files:
 0c81f3196ee1f10c59bf8309d95f9344  18608  experimental  -  kernel-package_1.03.tar.gz
 28f70501b36d577b52217525986c4a5a  24146  experimental  optional  kernel-package_1.03_all.deb

-- 
 A winner isn't nearly as afraid of losing as a loser is secretly
 afraid of winning.
Manoj Srivastava               Systems Research Programmer, Project Pilgrim,
Phone: (413) 545-3918                A143B Lederle Graduate Research Center,
Fax:   (413) 545-1249         University of Massachusetts, Amherst, MA 01003
<[email-masked]> <URL:http://www.pilgrim.umass.edu/%7Esrivasta/>